Patches for aports can be sent to this list

[alpine-aports] [PATCH] testing/perl-pdf-api2: new aport

Valery Kartel
Details
Message ID
<1446554146-10741-1-git-send-email-valery.kartel@gmail.com>
Sender timestamp
1446554146
DKIM signature
missing
Download raw message
Patch: +43 -0
---
 testing/perl-pdf-api2/APKBUILD | 43 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/perl-pdf-api2/APKBUILD

diff --git a/testing/perl-pdf-api2/APKBUILD b/testing/perl-pdf-api2/APKBUILD
new file mode 100644
index 0000000..0162ba7
--- /dev/null
+++ b/testing/perl-pdf-api2/APKBUILD
@@ -0,0 +1,43 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+pkgname=perl-pdf-api2
+_pkgreal=PDF-API2
+pkgver=2.025
+pkgrel=0
+pkgdesc="Facilitates the creation and modification of PDF files"
+url="http://search.cpan.org/dist/PDF-API2/"
+arch="noarch"
+license="open_source"
+cpandepends="perl-font-ttf"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SS/SSIMMS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name uniglyph.txt -o -name perllocal.pod -o -name .packlist \) -delete
+	mv "$pkgdir"/usr/share/perl5/vendor_perl/* "$pkgdir"/usr/lib/perl5/vendor_perl
+	rm -fr "$pkgdir"/usr/share/perl5
+}
+
+md5sums="d8b5e8a8a08986816a0e97d5236de979  PDF-API2-2.025.tar.gz"
+sha256sums="123b49cd459526662d9e0c98c68a52294132051327abe07af1255d599e6d62ea  PDF-API2-2.025.tar.gz"
+sha512sums="0dc2e880e77c1beabeed49a6dff0378ebed3eca8f7235a199bd8ffd1b3394af11e0ba2e9f662686407c5c03fde84590c57634ed6e9063c2684578772c2786f5c  PDF-API2-2.025.tar.gz"
-- 
2.6.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---